Bug 209500 - Long error message on upgrade; not sure it's useful there
Long error message on upgrade; not sure it's useful there
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 13:18 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-10-05 13:18:00 EDT
Description of problem:


  Updating  : coolkey                      ####################### [17/75] 

WARNING: Performing this operation while the browser is running could cause
corruption of your security databases. If the browser is currently running,
you should exit browser before continuing this operation. Type 
'q <enter>' to abort, or <enter> to continue: 
Using database directory /etc/pki/nssdb...
Module "CoolKey PKCS #11 Module" added to database.

So...

1) the oftentimes (using the gui) won't see this
2) by the time it prints, it's too late to exit the browser

Perhaps it should be hidden, or worked around?

Version-Release number of selected component (if applicable):

coolkey-1.0.1-5


How reproducible:

Every time.

Steps to Reproduce:
1. Upgrade
2. 
3. Profit!
Comment 1 Bob Relyea 2006-10-05 14:31:17 EDT
Sigh, it's modutil, We could redirect the output to dev null, though if there
was a real failure, we would loose the failure message.

The message itself isn't applicable in this case.

bob
Comment 2 Bob Relyea 2006-10-05 14:33:59 EDT
OK, I have a solution, modutil has an option to suppress the warnign.
Comment 3 Bob Relyea 2006-10-05 14:57:22 EDT
coolkey-1.1.0-6 now looks like this on a fresh install:

[root@dhcp-172-16-25-172 i386]# rpm -hUv coolkey-1.0.1-6.i386.rpm
Preparing...                ########################################### [100%]
   1:coolkey                ########################################### [100%]
Using database directory /etc/pki/nssdb...
Module "CoolKey PKCS #11 Module" added to database.
[root@dhcp-172-16-25-172 i386]# rpm -e coolkey
Using database directory /etc/pki/nssdb...
Module "CoolKey PKCS #11 Module" deleted from database.

(a reinstall over -5 will be silent).

I'll leave it to you if it's worth picking up in FC6...
Comment 4 Bob Relyea 2006-10-05 15:05:37 EDT
ARG. The package is fine, but the log was wrong in -6. Fixed in -7:

Diffs between -5 and -7 included below:

25c25
< Release: 5
---
> Release: 7
81c81
<   modutil -add %{coolkey_module} -libfile libcoolkeypk11.so -dbdir %{nssdb} || :
---
>   modutil -add %{coolkey_module} -libfile libcoolkeypk11.so -dbdir %{nssdb}
-force || :
87c87
<    modutil -delete %{coolkey_module} -dbdir %{nssdb} || :
---
>    modutil -delete %{coolkey_module} -dbdir %{nssdb} -force || :
105a106,108
> * Thu Oct 4 2006 Bob Relyea <rrelyea@redhat.com> - 1.0.1-7
> - silence modutil warnings
>
Comment 5 Bill Nottingham 2006-10-05 16:57:25 EDT
Yeah, I'd ike to get the warning cleaned up. If it's built, send mail to
fedora-release-engineering requesting the move and referencing this bug?
Comment 6 Bob Relyea 2006-10-05 17:06:41 EDT
done. #5414.
Comment 7 Bug Zapper 2008-04-03 14:26:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:56:02 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.